const require_index = require("../../utils/index.js");
const require_useEngineContext = require("../../../../hooks/useEngineContext.js");
const require_OsKeyContext = require("../../context/OsKeyContext.js");
//#region src/components/ticketBooking/hooks/pisellos/useShopDiscountModule.ts
/**
* useShopDiscountModule Hook
* 获取当前 ShopDiscount 模块
* 通过 osKey 区分不同页面的模块实例
*/
const useShopDiscountModule = () => {
	const pisellOS = require_useEngineContext.usePisellOS();
	const moduleKey = require_index.getShopDiscountKey(require_OsKeyContext.useOsKey() || "ticket");
	return pisellOS.getModule(moduleKey);
};
//#endregion
exports.useShopDiscountModule = useShopDiscountModule;
